Subject: Seeds for hardwood trees

From: [email-masked]
Date: Mon, 6 Mar 1995 20:53:52 GMT

I am trying to grow a couple different kinds of hardwood trees.  I
would like to find a source of excellent quality seeds for a Red Maple, Red
Oak, and a David Elm.  Does anyone know of a reputable company that sells
good quality seeds mail-order.

bill